Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::any_of_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename F , typename P = identity>
auto | operator() (I first, S last, F pred, P proj=P{}) const -> bool requires input_iterator< I > &&sentinel_for< S, I > &&indirect_unary_predicate< F, projected< I, P >>
template<typename Rng , typename F , typename P = identity>
auto | operator() (Rng &&rng, F pred, P proj=P{}) const -> bool requires input_range< Rng > &&indirect_unary_predicate< F, projected< iterator_t< Rng >, P >>